Bug 810415 - input-pad cannot switch IMEs with ibus 1.5
input-pad cannot switch IMEs with ibus 1.5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 21:06 EDT by fujiwara
Modified: 2012-05-06 00:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: ibus-1.4.99.20120428-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-06 00:55:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fujiwara 2012-04-05 21:06:48 EDT
input-pad XTest mode can send the keyevents to gtk clients but cannot switch IM engines by pressing Control + space buttons on input-pad with ibus 1.5.

To reproduce:
1. Invoke input-pad and ibus-ui-gtk3.
2. Press Control+space on input-pad window.
Comment 1 fujiwara 2012-04-05 21:10:55 EDT
The suggestion is to remove mouse masks from ibus trigger keys.
input-pad sends key events with mouse events.

diff --git a/ui/gtk3/keybindingmanager.vala b/ui/gtk3/keybindingmanager.vala
index 0b588da..dd3c7bd 100644
--- a/ui/gtk3/keybindingmanager.vala
+++ b/ui/gtk3/keybindingmanager.vala
@@ -36,7 +36,12 @@ public class KeybindingManager : GLib.Object {
	 Gdk.ModifierType.MOD2_MASK |
	 Gdk.ModifierType.LOCK_MASK |
	 Gdk.ModifierType.MOD4_MASK |
-	 Gdk.ModifierType.MOD5_MASK);
+	 Gdk.ModifierType.MOD5_MASK |
+	 Gdk.ModifierType.BUTTON1_MASK |
+	 Gdk.ModifierType.BUTTON2_MASK |
+	 Gdk.ModifierType.BUTTON3_MASK |
+	 Gdk.ModifierType.BUTTON4_MASK |
+	 Gdk.ModifierType.BUTTON5_MASK);

     /**
      * Helper class to store keybinding
Comment 3 Fedora Update System 2012-04-28 04:07:04 EDT
ibus-1.4.99.20120428-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20120428-1.fc17
Comment 4 Fedora Update System 2012-04-28 13:11:21 EDT
Package ibus-1.4.99.20120428-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.99.20120428-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6889/ibus-1.4.99.20120428-1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-05-06 00:55:02 EDT
ibus-1.4.99.20120428-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.